import { CacheEntry } from "./entry.js";
/**
 * @permissions `--allow-read --allow-env`
 * @returns cached `Response` on success.
 * @throws `Deno.errors.NotFound` when the URL isn't cached.
 */
export async function readCache(url, options) {
    return await new CacheEntry(url).read(options);
}
